Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::TexCoord1 Class Reference

一次元テクスチャ座標 More...

`#include <TexCoord1.h>`

List of all members.

## Public Member Functions
| TexCoord1 ()
| コンストラクタ
| TexCoord1 (float sourceU)
| コンストラクタ
| TexCoord1 (const float *const source)
| コンストラクタ
void | set (float sourceU)
| 値の設定
void | set (const float *const source)
| 値の設定
TexCoord1 | operator+ (const TexCoord1 &addCoord) const
| 加算
TexCoord1 | operator- (const TexCoord1 &subCoord) const
| 減算
TexCoord1 | operator * (float mulValue) const
| 乗算
TexCoord1 | operator+ () const
| +演算子
TexCoord1 | operator- () const
| -演算子
TexCoord1 & | operator+= (const TexCoord1 &addCoord)
| 代入加算
TexCoord1 & | operator-= (const TexCoord1 &subCoord)
| 代入減算
TexCoord1 & | operator *= (float mulValue)
| 代入乗算
bool | operator== (const TexCoord1 &target) const
| 一次元テクスチャ座標が同じかどうか
bool | epsilonEquals (const TexCoord1 &target, float epsilon) const
| 一次元テクスチャ座標が同じかどうか
bool | operator!= (const TexCoord1 &target) const
| 一次元テクスチャ座標が同じでないかどうか
bool | notEpsilonEquals (const TexCoord1 &target, float epsilon) const
| 一次元テクスチャ座標が同じでないかどうか
String | toString () const
| 文字列化
## Static Public Attributes
const TexCoord1 | zero
| ゼロ座標
const TexCoord1 | unit
| 単位座標
const TexCoord1 | unitU
| U単位座標.
## Friends
TexCoord1 | operator * (float mulValue, const TexCoord1 &mulCoord)
| 乗算

## Detailed Description

一次元テクスチャ座標

このクラスは継承しないで下さい。

Definition at line 39 of file TexCoord1.h.

## Constructor & Destructor Documentation

Lamp::TexCoord1::TexCoord1 | ( |  | ) | `[inline]`

| コンストラクタ このコンストラクタは初期値の設定を行わないため値は不定です。 Definition at line 76 of file TexCoord1.h. Referenced by operator *(), operator+(), and operator-().

Lamp::TexCoord1::TexCoord1 | ( | float | sourceU | ) | `[inline]`

  | コンストラクタ Parameters:
  sourceU | Uの初期値
Definition at line 82 of file TexCoord1.h. References u.

Lamp::TexCoord1::TexCoord1 | ( | const float *const | source | ) | `[inline, explicit]`

  | コンストラクタ Parameters:
  source | 初期値配列
Definition at line 88 of file TexCoord1.h. References u.

## Member Function Documentation

bool Lamp::TexCoord1::epsilonEquals | ( | const TexCoord1 & | target,
|  | float | epsilon
| ) | const`[inline]`

  | 一次元テクスチャ座標が同じかどうか Parameters:
  target | 比較する一次元テクスチャ座標
  epsilon | 誤差
Returns: 誤差の範囲内で同じ値であればtrueを返す Definition at line 209 of file TexCoord1.h. References Assert, and u.

bool Lamp::TexCoord1::notEpsilonEquals | ( | const TexCoord1 & | target,
|  | float | epsilon
| ) | const`[inline]`

  | 一次元テクスチャ座標が同じでないかどうか Parameters:
  target | 比較する一次元テクスチャ座標
  epsilon | 誤差
Returns: 誤差の範囲内で同じでない値であればtrueを返す Definition at line 230 of file TexCoord1.h. References Assert, and u.

TexCoord1 Lamp::TexCoord1::operator * | ( | float | mulValue | ) | const`[inline]`

  | 乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された一次元テクスチャ座標 Definition at line 131 of file TexCoord1.h. References TexCoord1(), and u.

TexCoord1& Lamp::TexCoord1::operator *= | ( | float | mulValue | ) | `[inline]`

  | 代入乗算 Parameters:
  mulValue | 乗算する値
Returns: 乗算された一次元テクスチャ座標 Definition at line 186 of file TexCoord1.h. References u.

bool Lamp::TexCoord1::operator!= | ( | const TexCoord1 & | target | ) | const`[inline]`

  | 一次元テクスチャ座標が同じでないかどうか Parameters:
  target | 比較する一次元テクスチャ座標
Returns: 同じでない値であればtrueを返す Definition at line 220 of file TexCoord1.h. References u.

TexCoord1 Lamp::TexCoord1::operator+ | ( |  | ) | const`[inline]`

| +演算子 Returns: 一次元テクスチャ座標のコピー Definition at line 150 of file TexCoord1.h.

TexCoord1 Lamp::TexCoord1::operator+ | ( | const TexCoord1 & | addCoord | ) | const`[inline]`

  | 加算 Parameters:
  addCoord | 加算する一次元テクスチャ座標
Returns: 加算された一次元テクスチャ座標 Definition at line 113 of file TexCoord1.h. References TexCoord1(), and u.

TexCoord1& Lamp::TexCoord1::operator+= | ( | const TexCoord1 & | addCoord | ) | `[inline]`

  | 代入加算 Parameters:
  addCoord | 加算する一次元テクスチャ座標
Returns: 加算された一次元テクスチャ座標 Definition at line 166 of file TexCoord1.h. References u.

TexCoord1 Lamp::TexCoord1::operator- | ( |  | ) | const`[inline]`

| -演算子 Returns: 値の符号が反転した一次元テクスチャ座標 Definition at line 156 of file TexCoord1.h. References TexCoord1(), and u.

TexCoord1 Lamp::TexCoord1::operator- | ( | const TexCoord1 & | subCoord | ) | const`[inline]`

  | 減算 Parameters:
  subCoord | 減算する一次元テクスチャ座標
Returns: 減算された一次元テクスチャ座標 Definition at line 122 of file TexCoord1.h. References TexCoord1(), and u.

TexCoord1& Lamp::TexCoord1::operator-= | ( | const TexCoord1 & | subCoord | ) | `[inline]`

  | 代入減算 Parameters:
  subCoord | 減算する一次元テクスチャ座標
Returns: 減算された一次元テクスチャ座標 Definition at line 176 of file TexCoord1.h. References u.

bool Lamp::TexCoord1::operator== | ( | const TexCoord1 & | target | ) | const`[inline]`

  | 一次元テクスチャ座標が同じかどうか Parameters:
  target | 比較する一次元テクスチャ座標
Returns: 同じ値であればtrueを返す Definition at line 199 of file TexCoord1.h. References u.

void Lamp::TexCoord1::set | ( | const float *const | source | ) | `[inline]`

  | 値の設定 Parameters:
  source | 設定値配列
Definition at line 103 of file TexCoord1.h. References u.

void Lamp::TexCoord1::set | ( | float | sourceU | ) | `[inline]`

  | 値の設定 Parameters:
  sourceU | Uの設定値
Definition at line 97 of file TexCoord1.h. References u.

String Lamp::TexCoord1::toString | ( |  | ) | const`[inline]`

| 文字列化 Returns: 一次元テクスチャ座標の文字列表記 Definition at line 243 of file TexCoord1.h. References Lamp::String::format(), and u.

## Friends And Related Function Documentation

TexCoord1 operator * | ( | float | mulValue,
|  | const TexCoord1 & | mulCoord
| ) | `[friend]`

  | 乗算 Parameters:
  mulValue | 乗算する値
  mulCoord | 乗算する一次元テクスチャ座標
Returns: 乗算された一次元テクスチャ座標 Definition at line 141 of file TexCoord1.h.

The documentation for this class was generated from the following files:

- TexCoord1.h
- TexCoord1.cpp